## arpalert 2.0.3

=== module_example/Makefile ===
# Copyright (c) 2005-2010 Thierry FOURNIER
# $Id: Makefile 450 2006-11-24 10:33:55Z  $

CC = gcc
CFLAGS = -Wall -g

all: example.so

clean:
	rm -f *.o *.so

example.so: example.o
	${CC} ${CFLAGS} -shared -o example.so example.o

## arpalert 2.0.6

=== module_example/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2005-2010 Thierry FOURNIER
-# $Id: Makefile 450 2006-11-24 10:33:55Z  $
+# $Id: Makefile 508 2007-06-07 09:12:02Z  $
 
 CC = gcc
 CFLAGS = -Wall -g

## arpalert 2.0.9

=== module_example/Makefile ===
# Copyright (c) 2005-2010 Thierry FOURNIER
# $Id: Makefile 667 2007-11-17 14:26:13Z  $

CC = gcc
CFLAGS = -Wall -g

all: example.so

clean:
	-@rm -f *.o *.so

example.so: example.o
	${CC} ${CFLAGS} -fPIC -shared -o example.so example.o

## arpalert 2.0.11

=== module_example/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (c) 2005-2010 Thierry FOURNIER
-# $Id: Makefile 667 2007-11-17 14:26:13Z  $
+# $Id: Makefile 690 2008-03-31 18:36:43Z  $
 
 CC = gcc
 CFLAGS = -Wall -g

=== debian/changelog ===
arpalert (2.0.11-7.1) unstable; urgency=low

  * QA upload
  * Fix build with hardening flags (Closes: #643352)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 27 Sep 2011 20:39:43 +0200

arpalert (2.0.11-7) unstable; urgency=low

  * QA upload
  * modernize debian/rules:
  - use dpkg-buildflags
  - add build-arch, build-indep
  - dh_clean -k -> dh_prep
  * bump Standards-Version
  * fix some spelling errors found by lintian
  * shorten the long description to be a description

 -- Bernhard R. Link <brlink@debian.org>  Sat, 17 Sep 2011 17:50:59 +0200

arpalert (2.0.11-6) unstable; urgency=low

  * QA upload, set maintainer to Debian QA group
  * Switch to source format 3

 -- Moritz Muehlenhoff <jmm@inutil.org>  Fri, 10 Jun 2011 00:29:09 +0200

arpalert (2.0.11-5) unstable; urgency=low

  * Add "Copyright" to all copyrights in debian/copyright
  * Bump Standards-Version to 3.8.4, no changes needed
  * Migrate target binary-arch and clean from debian/rules to dh7
  * Migrate Vcs-Fields over to scm.uncompleted.org
  * Add 1.0 to debian/source/format
  * Add ${misc:Depends} to dependencies

 -- Jan Wagner <waja@cyconet.org>  Tue, 09 Mar 2010 21:36:09 +0100

arpalert (2.0.11-3) unstable; urgency=low

  * Updating standards version to 3.8.0, no changes needed
  * implement machine-interpretable copyright file

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Jul 2008 11:47:41 +0200

arpalert (2.0.11-2) unstable; urgency=low

  * adjust package copyright to actual year
  * remove trailing whitespaces
  * fix typo in initscript
  * add conditional deluser and delgroup in postrm

 -- Jan Wagner <waja@cyconet.org>  Mon, 14 Apr 2008 21:52:21 +0200

arpalert (2.0.11-1) unstable; urgency=low

  * New upstream release
  * removed integrated 01_fix_makefile.in.dpatch and
    02_manpage_fix_pidfile.dpatch from patchset
  * removed dpatch infrastructur for now
  * removed trailing whitespaces from changelog and rules

 -- Jan Wagner <waja@cyconet.org>  Mon, 31 Mar 2008 21:27:35 +0200

arpalert (2.0.9-2) unstable; urgency=low

  * added Vcs- fields, moved Homepage into source header's field
  * bump standards version to 3.7.3
  * implement STARTUP value in default to disable starting daemon (Closes:
    #458610).

 -- Jan Wagner <waja@cyconet.org>  Thu, 03 Jan 2008 20:59:51 +0100

arpalert (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagner <waja@cyconet.org>  Sat, 17 Nov 2007 21:27:11 +0100

arpalert (2.0.8-2) unstable; urgency=low

  * fix watch file (Closes: #449898)

 -- Jan Wagner <waja@cyconet.org>  Wed, 07 Nov 2007 15:01:05 +0100

arpalert (2.0.8-1) unstable; urgency=low

  * New upstream release

 -- Jan Wagner <waja@cyconet.org>  Mon, 24 Sep 2007 12:23:38 +0200

arpalert (2.0.6-1) unstable; urgency=low

  * New upstream release
  * send_alert.pl moved to /usr/share/arpalert/ (Closes: #427759)
  * updated package description (Closes: #427762)

 -- Jan Wagner <waja@cyconet.org>  Fri, 08 Jun 2007 13:44:16 +0200

arpalert (2.0.5-1) unstable; urgency=low

  * new upstream
  * some cosmetic fixes in rules

 -- Jan Wagner <waja@cyconet.org>  Mon, 12 Mar 2007 20:35:16 +0100

arpalert (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Improve Description, Thanks to Martin 'Joey' Schulze (Closes: #400572)

 -- Jan Wagner <waja@cyconet.org>  Fri, 24 Nov 2006 12:14:00 +0100

arpalert (2.0.2-1) unstable; urgency=low

  * New upstream release
     + shipping oui file now
  * adjusted 01_fix_makefile.in.dpatch for new upstream

 -- Jan Wagner <waja@cyconet.org>  Mon,  6 Nov 2006 15:48:00 +0100

arpalert (2.0.0-1) unstable; urgency=low

  * Initial Release. (Closes: #392647)

 -- Jan Wagner <waja@cyconet.org>  Wed, 19 Oct 2006 01:06:18 +0200

=== debian/control ===
Source: arpalert
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libpcap0.8-dev
Homepage: http://www.arpalert.org/
Vcs-Browser: https://scm.uncompleted.org/projects/debian/repository/show/arpalert
Vcs-Svn: https://scm.uncompleted.org/svn/debian/arpalert
Standards-Version: 3.9.2

Package: arpalert
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: monitor ARP changes in ethernet networks
 The arpalert daemon listens on a network interface (without using
 'promiscuous' mode) and catches all conversations of MAC address to IP
 request.
 It then compares the mac addresses it detected with a pre-configured list of
 authorized MAC addresses. If the MAC is not in list, arpalert launches a
 pre-defined user script with the MAC address and IP address as parameters.
 .
 If you need to use a list of authorized MAC addresses, this package should
 suit your needs, otherwise arpwatch may be also fine.

=== debian/rules ===
#!/usr/bin/make -f
# written by Jan Wagner <waja@cyconet.org>

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -Wall
# Makefile's value is otherwise overriden and modules no longer work without
LDFLAGS += -Wl,--export-dynamic

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

config.status: configure
	dh_testdir
	# non-standard Makefile.in, does not use CPPFLAGS and does
	# not use CFLAGS when linking, so work around that:
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --sysconfdir=/etc \
		--localstatedir=/var \
		--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_BUILD_GNU_TYPE) \
		CFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(CFLAGS) $(LDFLAGS)'
	# avoid Makefile overriding optimisation flags:
	sed -e '/-Wall -O2/d' -i Makefile

build: build-arch build-indep
build-arch: build-stamp
build-indep:
build-stamp: config.status
	dh_testdir
	# Makefile uses CFLAGS += @CFLAGS@ ..., so empty the on in environment
	# Makefile also overrides the one set by configure, so supply it again...
	CFLAGS="" $(MAKE) LDFLAGS='$(CFLAGS) $(LDFLAGS)'
	touch build-stamp

clean:
	rm -f build-stamp
ifeq ($(shell ls Makefile),Makefile)
	$(MAKE) mrproper
endif
	dh clean

binary-indep:

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the arch part of the package
	$(MAKE) DESTDIR=debian/arpalert install PREFIX=debian/arpalert/usr
	install -d -m 0755 debian/arpalert/usr/share/doc/arpalert/examples/scripts/
	cp -R scripts/contribs debian/arpalert/usr/share/doc/arpalert/examples/scripts/
	cp -R scripts/test_scripts debian/arpalert/usr/share/doc/arpalert/examples/scripts/test
	# move alert script to /usr/share/arpalert/
	install -d -m 0755 debian/arpalert/usr/share/arpalert/
	mv debian/arpalert/usr/share/doc/arpalert/examples/scripts/contribs/send_alert.pl debian/arpalert/usr/share/arpalert/
	dh binary-arch --until dh_compress
	dh_fixperms --exclude=/var/lib/arpwatch
	dh binary-arch --after dh_fixperms

binary: binary-indep binary-arch

.PHONY: binary-indep binary-arch build-arch build-indep binary build

=== debian/watch ===
version=3
http://www.arpalert.org/index.php?page=download src/arpalert-(.*)\.tar.gz

## arpalert 2.0.12

=== debian/changelog ===
arpalert (2.0.12-7) unstable; urgency=medium

  * add debian/gbp.conf
  * add (generated) service file (Closes: #1039130)
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: remove dependency lsb-base

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Oct 2025 12:13:30 +0200

arpalert (2.0.12-6) unstable; urgency=medium

  * remove check for sys/sysctl.h (Closes: #997113)
    (this is only needed for *BSD*)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Oct 2021 19:13:30 +0200

arpalert (2.0.12-5) unstable; urgency=medium

  * fix FTBFS with autoconf2.70 (Closes: #978770)
    (in fact nothing todo as everything seems to work again with
     autoconf 2.71)
  * debian/copyright: new URL for source
  * debian/copyright: take care of lintian warnings
  * debian/control: use dh13
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: add Rules-Requires-Root:
  * debian/upstream/metadata: add metadata file
                              unfortunately format is rather limited

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 25 Aug 2021 19:13:30 +0200

arpalert (2.0.12-4) unstable; urgency=medium

  * fix FTBFS with gcc10 (Closes: #957009)
  * add patch to fix spelling errors
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: add "Pre-Depends: ${misc:Pre-Depends}"
  * debian/control: update Homepage: (Closes: #925446)
                    thanks to Ricardo Mones for the hint
  * debian/watch: update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 06 Aug 2020 18:13:30 +0200

arpalert (2.0.12-3) unstable; urgency=medium

  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Jan 2019 19:30:00 +0100

arpalert (2.0.12-2) unstable; urgency=medium

  * new maintainer (Closes: #612902)
  * debian/control: use dh11
  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: dh-autoreconf is no longer needed with dh11
  * debian/control: lsb-base dependency added
  * debian/postinst: remove "chown -R"

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 08 Sep 2018 17:30:00 +0200

arpalert (2.0.12-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * debian/control:
      - Added dh-autoreconf to Build-Depends field.
      - Added ieee-data to Depends field (Closes: #739196).
      - Improved long description.
  * debian/copyright:
      - Corrected link of copyright format.
      - Corrected copyright field.
      - Rename field Upstream-Maintainer to Upstream-Contact.
      - Rename field Upstream-Source to Source.
      - Removed unnecessary fields.
      - Removed extra spaces.
      - Adjusted upstream license.
  * debian/init.d:
      - Included source init-functions.
      - Included status option.
  * debian/links: include link of oui.txt.(Closes: #481298)
  * debian/patches:
      - Rename patch file to better represents what is patched.
      - New patch to fix Makefiles for hardening.
      - New patch to fix spelling errors in manpage.
  * debian/postrm: exclude commands with path.
  * debian/rules:
      - Updated to reduced format including hardening options.
      - Add dh_install override to correct permissions of script.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 16 Aug 2015 13:30:00 -0300

=== debian/control ===
Source: arpalert
Section: net
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libpcap0.8-dev
Homepage: https://www.arpalert.org/arpalert.html
Vcs-Browser: https://salsa.debian.org/alteholz/arpalert
Vcs-Git: https://salsa.debian.org/alteholz/arpalert.git
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: arpalert
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
	, adduser
	, ieee-data
Description: monitor ARP changes in ethernet networks
 The arpalert daemon is a security tool that listens on a network interface
 (without using 'promiscuous' mode) and catches all conversations
 of MAC address to IP request to alert of possibility of ARP spoofing attack.
 .
 It compares the mac addresses it detected with a pre-configured list of
 authorized MAC addresses. If the MAC is not in list, arpalert launches a
 pre-defined user script with the MAC address and IP address as parameters.
 .
 If you need to use a list of authorized MAC addresses, this package should
 suit your needs, otherwise arpwatch may be also fine.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_clean:
ifeq ($(shell ls Makefile 2>/dev/null),Makefile)
	$(MAKE) mrproper
endif
	dh_clean

override_dh_install:
	chmod 0755 scripts/contribs/add_allowed_arpalert_address.sh
	dh_install

=== debian/watch ===
version=4
https://www.arpalert.org/arpalert.html src/arpalert-(.+)\.tar\.(?:bz2|xz|gz)
